## python-gql 3.6.0~b4

=== Makefile ===
.PHONY: clean tests docs

SRC_PYTHON := gql tests docs/code_examples

dev-setup:
	python -m pip install -e ".[test]"

tests:
	pytest tests --cov=gql --cov-report=term-missing -vv

all_tests:
	pytest tests --cov=gql --cov-report=term-missing --run-online -vv

tests_aiohttp:
	pytest tests --aiohttp-only

tests_requests:
	pytest tests --requests-only

tests_httpx:
	pytest tests --httpx-only

tests_websockets:
	pytest tests --websockets-only

check:
	isort --recursive $(SRC_PYTHON)
	black $(SRC_PYTHON)
	flake8 $(SRC_PYTHON)
	mypy $(SRC_PYTHON)
	check-manifest

docs:
	rm -rf ./docs/_build
	cd docs; make html

clean:
	find . -name "*.pyc" -delete
	find . -name "__pycache__" | xargs -I {} rm -rf {}
	rm -rf ./htmlcov
	rm -rf ./.mypy_cache
	rm -rf ./.pytest_cache
	rm -rf ./.tox
	rm -rf ./gql.egg-info
	rm -rf ./dist
	rm -rf ./build
	rm -rf ./docs/_build
	rm -f ./.coverage

## python-gql 3.5.0

=== debian/changelog ===
python-gql (3.5.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 10 Sep 2024 04:33:27 +0100

python-gql (3.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1080024)

 -- Edward Betts <edward@4angle.com>  Thu, 29 Aug 2024 19:10:14 +0100

=== debian/control ===
Source: python-gql
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiofiles <!nocheck>,
 python3-anyio <!nocheck>,
 python3-backoff <!nocheck>,
 python3-graphql-core <!nocheck>,
 python3-parse <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-argparse <!nodoc>,
 python3-sphinx-rtd-theme <!nocheck>,
 python3-vcr <!nocheck>,
 python3-yarl <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/graphql-python/gql
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-gql
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-gql.git

Package: python3-gql
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: GraphQL client for Python
 This library provides a versatile GraphQL client that allows for the execution
 of GraphQL queries, mutations, and subscriptions. It supports multiple
 transport protocols including HTTP, websockets, and AWS AppSync. The client
 offers both synchronous and asynchronous usage, enabling concurrent requests.
 Queries can be validated locally, with the option to use a provided GraphQL
 schema or fetch one from the backend through introspection. Additional
 features include file uploads, custom scalars and enums, as well as a CLI tool
 to execute GraphQL queries or download schemas. The DSL module allows dynamic
 composition of GraphQL queries, making it highly adaptable to various use
 cases.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gql

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf gql.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

override_dh_auto_test:

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-aiofiles,
 python3-aiohttp,
 python3-all,
 python3-botocore,
 python3-httpx,
 python3-mock,
 python3-parse,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-console-scripts,
 python3-requests,
 python3-requests-toolbelt,
 python3-vcr,
 python3-websockets,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-gql-$1\.tar\.gz/ \
  https://github.com/graphql-python/gql/tags .*/v?(\d\S+)\.tar\.gz

## python-gql 3.6.0~b2

=== debian/changelog ===
python-gql (3.6.0~b2-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/watch to handle alpha and beta versions.
  * Run tests during package build and skip failing tests. (Closes: #1086811)
  * Add missing Build-Depends that are needed for tests.

 -- Edward Betts <edward@4angle.com>  Fri, 15 Nov 2024 12:22:55 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,13 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-aiofiles <!nocheck>,
+ python3-aiohttp <!nocheck>,
+ python3-botocore <!nocheck>,
+ python3-requests-toolbelt <!nocheck>,
  python3-anyio <!nocheck>,
  python3-backoff <!nocheck>,
  python3-graphql-core <!nocheck>,
+ python3-mock <!nocheck>,
  python3-parse <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
@@ -24,6 +28,7 @@
  python3-sphinx-argparse <!nodoc>,
  python3-sphinx-rtd-theme <!nocheck>,
  python3-vcr <!nocheck>,
+ python3-websockets <!nocheck>,
  python3-yarl <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gql
export PYBUILD_TEST_ARGS=-k "not test_cli_get_transport_appsync_websockets_iam and not test_graphqlws_subscription_sync_graceful_shutdown and not test_munge_url and not test_custom_scalar_serialize_variables_sync_transport and not test_cli_main_appsync_websockets_iam and not test_cli_get_transport_appsync_http_iam and not test_get_introspection_query_ast and not test_async_client_validation_fetch_schema_from_server_valid_query and not test_aiohttp_using_cli_ep and not test_cli_ep_version" --ignore=tests/test_httpx.py --ignore=tests/test_httpx_async.py --ignore=tests/test_requests.py --ignore=tests/test_transport.py --ignore=tests/test_transport_batch.py --ignore=tests/test_requests_batch.py

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf gql.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
-Tests: run-tests
+Tests:
+ run-tests,
 Depends:
  python3-aiofiles,
  python3-aiohttp,

## python-gql 3.6.0~b4

=== debian/changelog ===
python-gql (3.6.0~b4-1) unstable; urgency=medium

  * New upstream release.
  * New build dependency on httpx.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Use debian/clean instead of override_dh_auto_clean.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Sat, 05 Apr 2025 07:49:37 +0100

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,17 @@
 Build-Depends-Indep:
  python3-aiofiles <!nocheck>,
  python3-aiohttp <!nocheck>,
- python3-botocore <!nocheck>,
- python3-requests-toolbelt <!nocheck>,
  python3-anyio <!nocheck>,
  python3-backoff <!nocheck>,
+ python3-botocore <!nocheck>,
  python3-graphql-core <!nocheck>,
+ python3-httpx <!nocheck>,
  python3-mock <!nocheck>,
  python3-parse <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-requests-toolbelt <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-argparse <!nodoc>,
  python3-sphinx-rtd-theme <!nocheck>,
@@ -31,10 +32,11 @@
  python3-websockets <!nocheck>,
  python3-yarl <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/graphql-python/gql
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-gql
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-gql.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-gql
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_cli_get_transport_appsync_websockets_iam and not test_graphqlws_subscription_sync_graceful_shutdown and not test_munge_url and not test_custom_scalar_serialize_variables_sync_transport and not test_cli_main_appsync_websockets_iam and not test_cli_get_transport_appsync_http_iam and not test_get_introspection_query_ast and not test_async_client_validation_fetch_schema_from_server_valid_query and not test_aiohttp_using_cli_ep and not test_cli_ep_version" --ignore=tests/test_httpx.py --ignore=tests/test_httpx_async.py --ignore=tests/test_requests.py --ignore=tests/test_transport.py --ignore=tests/test_transport_batch.py --ignore=tests/test_requests_batch.py

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

## python-gql 4.0.0

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	pytest tests --websockets-only
 
 check:
-	isort --recursive $(SRC_PYTHON)
+	isort $(SRC_PYTHON)
 	black $(SRC_PYTHON)
 	flake8 $(SRC_PYTHON)
 	mypy $(SRC_PYTHON)

=== docs/requirements.txt ===
sphinx>=5.3.0,<6
sphinx_rtd_theme>=0.4,<1
sphinx-argparse==0.2.5
multidict<5.0,>=4.5

=== debian/changelog ===
python-gql (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.
  * Drop unused B-D on python3-mock.
  * Add myself to Uploaders.
  * Refresh patches.
  * Unset http_proxy and https_proxy which was previously set by pybuild,
    as it blocks connections to 127.0.0.1.
  * Add B-D on python3-pytest-console-scripts.
  * Do not build docs if -Pnodoc.
  * Mark some B-D as <!nocheck> <!nodoc> since docs/conf.py imports gql.
  * Add debian/salsa-ci.yml.
  * Enable build profiles in salsa-ci.yml.
  * Drop Rules-Requires-Root: no since it's the default behaviour.

 -- Tianyu Chen <billchenchina2001@gmail.com>  Sun, 31 Aug 2025 02:37:32 +0800

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Edward Betts <edward@4angle.com>,
+ Tianyu Chen <billchenchina2001@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -14,24 +15,23 @@
 Build-Depends-Indep:
  python3-aiofiles <!nocheck>,
  python3-aiohttp <!nocheck>,
- python3-anyio <!nocheck>,
- python3-backoff <!nocheck>,
+ python3-anyio <!nocheck> <!nodoc>,
+ python3-backoff <!nocheck> <!nodoc>,
  python3-botocore <!nocheck>,
- python3-graphql-core <!nocheck>,
+ python3-graphql-core <!nocheck> <!nodoc>,
  python3-httpx <!nocheck>,
- python3-mock <!nocheck>,
  python3-parse <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
+ python3-pytest-console-scripts <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-requests-toolbelt <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-argparse <!nodoc>,
- python3-sphinx-rtd-theme <!nocheck>,
+ python3-sphinx-rtd-theme <!nodoc>,
  python3-vcr <!nocheck>,
  python3-websockets <!nocheck>,
  python3-yarl <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/graphql-python/gql
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-gql

=== debian/rules ===
#!/usr/bin/make -f

# http_proxy and https_proxy set by pybuild prevents loopback interface
export http_proxy=
export https_proxy=

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~~/;s/([0-9])([ab][0-9]*)/$1~$2/g \
  https://github.com/graphql-python/gql/tags .*/v?(\d\S+)\.tar\.gz
